/*Reutilzados */

:root {
    --main-color: #d3ad7f;
    --black: #13131a;
    --bg: #010103;
    --border: 0.1rem solid rgba(255, 255, 255, 0.3);
    font-size: 62.5%;
}

/* Formmatando o style */

* {
    margin: 0;
    padding: 0;
    outline: none;
    border: none;
    text-decoration: none;
    font-family: "Montserrat", sans-serif;
    box-sizing: border-box;
}

/* Navbar */

body {
    background-color: var(--bg);
}

section {
    padding: 3rem 2rem;
    margin: 0 auto;
    max-width: 1200px;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 99;
    border-bottom: var(--border);
    background-color: var(--bg);
}

.header section {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;

}

.navbar a {
    margin: 0 1rem;
    font-size: 1.8rem;
    color: #fff;
    transition: 0.2s ease;
    text-transform: capitalize;
}

.navbar a:hover {
    color: var(--main-color);
    border-bottom: 0.1rem solid var(--main-color);
    padding-bottom: 0.5rem;
    transform: scale(1.1);
}

.icons img {
    margin: 1rem;
    cursor: pointer;
}

.icons img:hover {
    transform: scale(1.15);
    transition: 0.2s ease;
}

.btn {
    background: var(--main-color);
    color: #fff;
    padding: 1rem 3rem;
    display: inline-block;
    font-size: 1.7rem;
    cursor: pointer;
    margin-top: 1rem;
    border-radius: 0.5rem;
    transition: 0.3s ease;
}

.btn:hover {
    letter-spacing: 0.1rem;
}

/* Container */

.home-container {
    background:
        linear-gradient(rgba(0,0,0,0.5),
        rgba(0,0,0,0.5)),
        url("IMG/hand-holding-hot-coffee-beans.jpg");
    background-position: center;
    background-size: cover;
}

.home-container section {
    display: flex;
    align-items: center;
    min-height: 100vh;
}

.content {
    max-width: 60rem;
}

.content h3 {
    color: #fff;
    font-size: clamp(3rem, 6vw, 6rem);
    text-transform: uppercase;
}

.content p {
    color: #fff;
    font-size: 2rem;
    font-weight: 300;
    line-height: 1.8;
    padding: 1rem 0;

}

.title {
    font-size: 4rem;
    color: #fff;
    text-align: center;
    text-transform: uppercase;
    margin-bottom: 2rem;
}

.title span {
    color: var(--main-color);
    text-transform: uppercase;
}

.about .row {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--black);
    gap: 2rem;
    padding: 2rem;
}

.about .row .content {
    flex: 1 1 45rem;
}

.about .row .content h3 {
    font-size: 3rem;
    color: #fff;
}

.about .row .content p {
    font-size: 1.6rem;
    padding: 1rem 0;
    line-height: 1.8;
}

.about .row .sobrenos {
    flex: 1 1 45rem;
}

.about .row .sobrenos img {
    width: 100%;
    display: block;
    border-radius: 1rem;
}

@media (max-width: 768px) {
    .about .row {
        flex-direction: column;
    }
}

.box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem,1fr));
    gap: 1.5rem;
}

.box img {
    width: 100%;
    max-width: 200px;
    height: auto;
}

.menu .box-container .box {
    text-align: center;
    border: var(--border);
    padding: 5rem;
    cursor: pointer;
    border-radius: 1rem;
    transition: 0.3s ease;
}

.menu .box-container .box h3 {
    color: #fff;
    font-size: 2rem;
    padding: 1rem 0;
}

.menu .box-container .box .price {
    color: #fff;
    font-size: 2.5rem;
    padding: 0.5rem 0;
}

.menu .box-container .box .price span {
    font-size: 1.5rem;
    text-decoration: line-through;
    font-weight: lighter;
}

.review .box-container .box .quotes {
    width: 70px;
    height: auto;
}

.review .box-container .cliente {
    height: 7rem;
    width: 7rem;
    border-radius: 50%;
    object-fit: cover;
}

.review .box-container .stars {
    display: flex;
    justify-content: center;
    gap: 0.5rem;
    margin-top: 1rem;
}

.review .box-container .stars img {
    width: 2rem;
    height: 2rem;
}

.review .box-container .box {
    border: var(--border);
    text-align: center;
    padding: 3rem 2rem;
    border-radius: 1rem;
    transition: 0.3s ease;
}

.review .box-container .box p {
    font-size: 1.5rem;
    color: #fff;
    padding: 2rem 0;
    line-height: 1.8;
}

.review .box-container .box h3 {
    color: #fff;
    font-size: 2rem;
    margin: 1rem 0;
}


.menu .box-container .box:hover {
    background-color: #fff;
}

.menu .box-container .box:hover>* {
    color: var(--black);
}

.review .box-container .box:hover {
    cursor: pointer;
    background-color: #fff;
}

.review .box-container .box:hover>* {
    color: var(--black);
}

.address iframe {
    width: 100%;
    height: 45rem;
    border-radius: 1rem;
}

.address {
    text-align: center;
}

.footer {
    text-align: center;
    border-color: var(--border);
}

.footer .share {
    padding: 1rem 0;
}

.footer .share img {
    margin: 0.3rem;
    cursor: pointer;
    border-radius: 50%;
    padding: 1rem;
    width: 50px;
    transition: 0.3s ease;
}

.footer .share img:hover {
    background-color: var(--main-color);
    transform: scale(1.1);
}

.menu-btn {
    display: none;
    font-size: 3rem;
    color: white;
    cursor: pointer;
    margin-right: auto;
}

/* Responsive */

@media (max-width: 768px) {

    .logo {
        display: none;
    }

    .menu-btn {
        display: block;
    }

    .header section {
        position: relative;
    }

    .navbar {
        position: absolute;

        top: 100%;
        right: 0;

        background: var(--black);

        width: 100%;

        display: none;

        flex-direction: column;

        text-align: center;

        padding: 2rem 0;
        gap: 2rem;
    }

    .navbar.active {
        display: flex;
    }

    .navbar a {
        font-size: 2rem;
    }
}
